import Layout from '@/views/layout/Layout'

export default {
  alwaysShow: true,
  path: '/articles',
  component: Layout,
  redirect: 'noredirect',
  name: 'article',
  meta: {
    title: 'article',
    icon: 'excel'
  },
  children: [
    {
      path: '/articles/createArticle',
      component: () => import('@/scrm_pages/article/createArticle'),
      name: 'createArticle',
      meta: { title: 'createArticle', noCache: true }
    },
    {
      path: '/articles/articleList',
      component: () => import('@/scrm_pages/article/articleList'),
      name: 'articleList',
      meta: { title: 'articleList', noCache: true }
    },
    {
      path: '/articles/articleCategory',
      component: () => import('@/scrm_pages/article/acticleCategory'),
      name: 'articleCategory',
      meta: { title: 'articleCategory', noCache: true }
    },
    {
      path: '/articles/commentList',
      component: () => import('@/scrm_pages/article/commentList'),
      name: 'commentList',
      meta: { title: 'commentList', noCache: true }
    },
    {
      path: '/articles/articleComment',
      component: () => import('@/scrm_pages/article/articleComment'),
      name: 'articleComment',
      meta: { title: 'articleComment', noCache: true }
    },
    {
      path: '/articles/articlePreview',
      component: () => import('@/scrm_pages/article/articlePreview'),
      name: 'articlePreview',
      hidden:true,
      meta: { title: 'articlePreview', noCache: true }
    },
    {
      path: '/articles/editArticle/:id',
      component: () => import('@/scrm_pages/article/editArticle'),
      name: 'editArticle',
      hidden:true,
      meta: { title: 'editArticle', noCache: true }
    },
    {
      path: '/articles/articleEditPreview',
      component: () => import('@/scrm_pages/article/articleEditPreview'),
      name: 'articleEditPreview',
      hidden:true,
      meta: { title: 'articleEditPreview', noCache: true }
    },
    {
      path: '/articles/articleCommentDetail/:id',
      component: () => import('@/scrm_pages/article/articleCommentDetail'),
      name: 'articleCommentDetail',
      hidden:true,
      meta: { title: 'articleCommentDetail', noCache: true }
    },
  ]
}
